1. Lookup
Bardge API (V3)
  • Introduction
  • Authentication
  • Errors
  • Idempotent Requests
  • Pagination
  • Passes
    • Introduction
    • Get All Reseller Passes
      GET
    • Issue a pass
      POST
    • Update user's pass
      POST
    • Update user's pass expiry
      POST
    • Get User Pass Details
      GET
  • Providers
    • Introduction
    • Get providers
      GET
    • Get providers for a pass
      GET
  • Access Codes
    • Introduction
    • Generate dynamic access code
      POST
  • Bookings
    • Introduction
    • Get class categories
      GET
    • Get classes
      GET
    • Get class with instances
      GET
    • Initiate a class booking
      POST
    • Confirm a class booking
      POST
    • Initiate a spa booking
      POST
    • Confirm a spa booking
      POST
    • Get client bookings
      GET
    • Get booking status
      GET
    • Cancel a booking
      POST
  • Co-pay
    • Introduction
  • Credits
    • Introduction
    • Purchase credits
    • Get credit packages
  • Lookup
    • Introduction
    • Get issuers
      GET
    • Initiate a lookup
      POST
    • Verify a lookup
      POST
    • Get a client
      GET
    • Get client credits
      GET
  • Schemas
    • PasscodeV3Request
    • PurchaseSpaCoPayV3Request
    • LookupInitiateV3Request
    • ResellerV3PasscodeResponse
    • ErrorDetail
    • ResellerV3ErrorResponse
    • LookupV3Response
    • ResellerV3SpaCoPayPurchaseResponse
    • LookupVerifyV3Request
    • SpaCoPayQuoteV3Request
    • IssuePassV3Request
    • PassRef
    • ResellerV3SpaCoPayQuoteResponse
    • CategoryDetails
    • ResellerV3IssuedPassResponse
    • UpdateIssuedPassExpiryV3Request
    • ResellerV3IssuedPassMessageResponse
    • UpdateLookupEnabledRequest
    • UpdateIssuedPassV3Request
    • PurchaseGymCoPayV3Request
    • PurchaseCoPayPackageV3Request
    • PurchaseCreditsV3Request
    • ResellerV3GymCoPayPurchaseResponse
    • ResellerV3CreditPurchaseResponse
    • ResellerV3CoPayPurchaseResponse
    • RescheduleBookingV3Request
    • RefundInfo
    • PasscodeInfo
    • ResellerV3BookingResponse
    • BookSpaV3Request
    • ResellerV3SpaBookingInitiateResponse
    • BookClassV3Request
    • CopayOption
    • ResellerV3ProviderResponse
    • ResellerV3ClassBookingInitiateResponse
    • ResellerV3ServiceResponse
    • ConfirmClassBookingV3Request
    • ResellerV3SpaResponse
    • AccessCodeV3Request
    • ServicePreview
    • ResellerV3AccessCodeResponse
    • ResellerV3ListResponse
    • ResellerV3AccessCodeSessionResponse
    • ResellerV3AvailabilityResponse
    • ConfirmAccessCodeV3Request
    • ResellerV3ClientResponse
    • CategoryDetail
    • ResellerV3CreditsResponse
    • ResellerV3PassResponse
    • ResellerV3ClassInstanceResponse
    • ResellerV3ClassResponse
    • ResellerV3BookingStatusResponse
  1. Lookup

Initiate a lookup

POST
/v3/api/business/reseller/lookups
Initiates a third-party client lookup. Bardge validates the issuer and client, sends the client's access code to them via email, and returns a pending lookup record.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢201
*/*
Lookup initiated — pending verification
Body*/*

🟠400
🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v3/api/business/reseller/lookups' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "issuer": "iss_z9y8x7w6v5u4",
    "client_id": "client_abc123"
}'
Response Response Example
201 - Success
{
    "object": "lookup",
    "id": "lkp_a1b2c3d4e5f6",
    "issuer": "iss_z9y8x7w6v5u4",
    "status": "pending",
    "created": 1746700000
}
Modified at 2026-05-21 13:30:24
Previous
Get issuers
Next
Verify a lookup
Built with